lesslinux.org Development Blog

Just another WordPress weblog

Major changes ahead: Moving to Gtk3

You probably noticed that LessLinux uses Gtk2 only. Even applications like Abiword, Gnumeric and some of the Gnome tools are older versions – some three years old, partially taken from Gnome 2.32. The background of this decision was to provide a persistent look and feel as well as to keep the size smaller.

This is not suitable anymore.

I had to decide between moving to the Mate libs or to Gtk 3. Mate is a fork of the last stable Gnome. This move would probably have given me some updated utilities and libraries but it would not have an provided newer applications like Brasero, Abiword or Gnumeric. So I decided to move to Gtk3. I already moved the easier to move applications like Zenity, Brasero, Abiword, Gnumeric and Evince. Wireshark and the likes will follow soon. Then I will provide images for testing. Afterwards, I will move Ruby-Gnome and the WX based apps like FileZilla and TrueCrypt to Gtk3. However, some Gtk2 programs will stay for a while: Firefox will keep Gtk2 as default for a while and XFCE will not move to Gtk3 in the upcoming version 4.12. At least a version of LessLinux Search and Rescue will be possible that uses Nautilus, Openbox and Midori that will be Gtk3 only.

Antwort hinterlassen